<!--#set var="title" value="GU4DEC 2003: Tutorials"-->
<!--#include virtual="../inc-header.shtml"-->

  <h1>GU4DEC Tutorials</h1>

  <p>The GNOME Foundation are pleased to announce the first set of tutorials to be held at GU4DEC in June.</p>

  <h2><img src="tigert-jimmac.png" alt="Tuomas Kuosmanen &amp; Jakub Steiner" border="1" align="right" /> Electronic Artistry with GIMP - Wednesday 18th June</h2>

  <p>The GIMP has been the spawn of GNOME and the GTK+ toolkit. It was one of the first user-targeted applications on the linux desktop. Today GNOME has matured into an advanced desktop, perfectly suitable for office enviroments as well as graphics and web publishing.</p>

  <table summary="Electronic Artistry with GIMP" cellspacing="10">
    <tr>
      <td>Length: Half Day<br />
      Cost: 120 Euro</td>

      <td>
        <form action="https://www.paypal.com/cgi-bin/webscr" method="post" style="margins:0px;">
          <p><input type="hidden" name="cmd" value="_xclick" /> <input type="hidden" name="business" value="tutorials@gnome.org" /> <input type="hidden" name="item_name" value="GIMP Tutorial @ EUR 120.00" /> <input type="hidden" name="currency_code" value="EUR" /> <input type="hidden" name="item_number" value="501" /> <input type="hidden" name="amount" value="120.00" /> <input type="hidden" name="return" value="http://www.guadec.org/tutorials/booked/" /> <input type="hidden" name="no_shipping" value="1" /> <input type="hidden" name="on0" value="date" /> <input type="submit" name="submit" value="Book Now!" /></p>
        </form>
      </td>
    </tr>
  </table>

  <p>Topics covered include -</p>

  <h4>General</h4>

  <ul>
    <li>The (improved) GIMP user interface</li>

    <li>File formats, file handling and desktop integration</li>

    <li>Selection and painting tools</li>

    <li>Layers, masks and channels</li>
  </ul>

  <h4>Web</h4>

  <ul>
    <li>Guides</li>

    <li>Image maps</li>

    <li>The new text tool</li>

    <li>Simple and advanced animation</li>

    <li>Indexed colorspace and the web</li>
  </ul>

  <h4>Photo Retouching</h4>

  <ul>
    <li>Masking</li>

    <li>Removing color casts</li>
  </ul>

  <p>The workshop will give the audience a possibility to try everything themselves as the tutors will walk everyone through numerous real-life examples.</p>

  <p>Tuomas Kuosmanen and Jakub Steiner are both long-time GIMP users and professional artists. They are responsible for the numerous graphic elements of the GNOME 2 desktop, such as the icons, splash screens, application window decorations and color schemes. They both work for Ximian, Inc. -- a company that develops software and services for the GNOME desktop.</p>

  <p><br />
  <br />
  <img src="owen.jpg" alt="Owen Taylor" border="1" align="right" /></p>

  <h2>Beginning GTK+ Programming - Wednesday 18th June</h2>

  <p>This tutorial covers the essential concepts needed to become an effective programmer with GTK+ user interface toolkit.</p>

  <table summary="Beginning GTK+ Programming" cellspacing="10">
    <tr>
      <td>Length: Half Day<br />
      Cost: 120 Euro</td>

      <td>
        <form action="https://www.paypal.com/cgi-bin/webscr" method="post"  style="margins:0px;">
          <p><input type="hidden" name="cmd" value="_xclick" /> <input type="hidden" name="business" value="tutorials@gnome.org" /> <input type="hidden" name="item_name" value="Gtk+ Tutorial @ EUR 120.00" /> <input type="hidden" name="currency_code" value="EUR" /> <input type="hidden" name="item_number" value="501" /> <input type="hidden" name="amount" value="120.00" /> <input type="hidden" name="return" value="http://www.guadec.org/tutorials/booked/" /> <input type="hidden" name="no_shipping" value="1" /> <input type="hidden" name="on0" value="date" /> <input type="submit" name="submit" value="Book Now!" /></p>
        </form>
      </td>
    </tr>
  </table>

  <p>Topics covered include -</p>

  <ul>
    <li>The basics of the GObject system: inheritance, signals, and properties.</li>

    <li>The principles of GTK+ window management</li>

    <li>Laying out a GUI using Glade</li>

    <li>How to organize a GTK+ program</li>

    <li>Creating lists displays using GtkTreeView</li>
  </ul>

  <p>Attendees are expected to have a familiarity with C. No prior experience in GTK+ or GNOME programming is needed.</p>

  <p>Owen Taylor is the designer of the Pango text layout library and has been co-maintainer of GTK+ for over five years, working on such areas as the GDK layer, DND, themes, and internationalization. He also has a strong interest in language bindings and component technology, as represented by the CORBA::ORBit Perl bindings for CORBA. With an educational background in Physics, Owen joined Red Hat in 1998 to work on GTK+ and GNOME.</p>
  
  <!--#include virtual="../inc-footer.shtml"-->
